iam_delete_policy_version: Deletes the specified version from the specified managed...

Description Usage Arguments Details Request syntax

View source: R/iam_operations.R

Description

Deletes the specified version from the specified managed policy.

Usage

1
iam_delete_policy_version(PolicyArn, VersionId)

Arguments

PolicyArn

[required] The Amazon Resource Name (ARN) of the IAM policy from which you want to delete a version.

For more information about ARNs, see Amazon Resource Names (ARNs) and AWS Service Namespaces in the AWS General Reference.

VersionId

[required] The policy version to delete.

This parameter allows (through its regex pattern) a string of characters that consists of the lowercase letter 'v' followed by one or two digits, and optionally followed by a period '.' and a string of letters and digits.

For more information about managed policy versions, see Versioning for Managed Policies in the IAM User Guide.

Details

You cannot delete the default version from a policy using this API. To delete the default version from a policy, use DeletePolicy. To find out which version of a policy is marked as the default version, use ListPolicyVersions.

For information about versions for managed policies, see Versioning for Managed Policies in the IAM User Guide.

Request syntax

1
2
3
4
svc$delete_policy_version(
  PolicyArn = "string",
  VersionId = "string"
)

paws.security.identity documentation built on Oct. 30, 2019, 11:26 a.m.